# Uses of Class
org.eclipse.core.databinding.observable.value.ValueDiff

Packages that use ValueDiff
Package
Description
org.eclipse.core.databinding.observable
Provides the core APIs for observing changes in objects.
org.eclipse.core.databinding.observable.value
Provides classes that can be used to observe changes in discrete values.
org.eclipse.core.databinding.property.value
org.eclipse.jface.databinding.swt
Provides classes that can be used to observe changes in SWT widgets.

## Uses of ValueDiff in org.eclipse.core.databinding.observable

Methods in org.eclipse.core.databinding.observable that return ValueDiff
Modifier and Type
Method
Description
`static <T> ValueDiff<T>`
Diffs.`createValueDiff(T oldValue, T newValue)`
Creates a diff between two values
`static <V> ValueDiff<V>`
Diffs.`unmodifiableDiff(ValueDiff<? extends V> diff)`
Returns an unmodifiable wrapper on top of the given diff.
Methods in org.eclipse.core.databinding.observable with parameters of type ValueDiff
Modifier and Type
Method
Description
`static <V> ValueDiff<V>`
Diffs.`unmodifiableDiff(ValueDiff<? extends V> diff)`
Returns an unmodifiable wrapper on top of the given diff.

## Uses of ValueDiff in org.eclipse.core.databinding.observable.value

Fields in org.eclipse.core.databinding.observable.value declared as ValueDiff
Modifier and Type
Field
Description
`ValueDiff<T>`
ValueChangeEvent.`diff`
Description of the change to the source observable value.
`ValueDiff<T>`
ValueChangingEvent.`diff`
Description of the change to the source observable value.
Methods in org.eclipse.core.databinding.observable.value with parameters of type ValueDiff
Modifier and Type
Method
Description
`protected void`
AbstractObservableValue.`fireValueChange(ValueDiff<T> diff)`
`protected void`
DecoratingObservableValue.`fireValueChange(ValueDiff<T> diff)`
`protected boolean`
AbstractVetoableValue.`fireValueChanging(ValueDiff<T> diff)`
Notifies listeners about a pending change, and returns true if no listener vetoed the change.
`protected boolean`
DecoratingVetoableValue.`fireValueChanging(ValueDiff<T> diff)`
Notifies listeners about a pending change, and returns true if no listener vetoed the change.
Constructors in org.eclipse.core.databinding.observable.value with parameters of type ValueDiff
Modifier
Constructor
Description
``
`ValueChangeEvent(IObservableValue<T> source, ValueDiff<T> diff)`
Creates a new value change event.
``
`ValueChangingEvent(IObservableValue<T> source, ValueDiff<T> diff)`
Creates a new value changing event.

## Uses of ValueDiff in org.eclipse.core.databinding.property.value

Method parameters in org.eclipse.core.databinding.property.value with type arguments of type ValueDiff
Modifier and Type
Method
Description
`abstract INativePropertyListener<S>`
SimpleValueProperty.`adaptListener(ISimplePropertyListener<S,ValueDiff<? extends T>> listener)`
Returns a listener capable of adding or removing itself as a listener on a source object using the the source's "native" listener API.

## Uses of ValueDiff in org.eclipse.jface.databinding.swt

Method parameters in org.eclipse.jface.databinding.swt with type arguments of type ValueDiff
Modifier and Type
Method
Description
`INativePropertyListener<S>`
WidgetValueProperty.`adaptListener(ISimplePropertyListener<S,ValueDiff<? extends T>> listener)`